from uhf.reader import *
from time import *


def receivedEpc(epcInfo: LogBaseEpcInfo):
    if epcInfo.result == 0:
        pass


def receivedEpcOver(epcOver: LogBaseEpcOver):
    print("LogBaseEpcOver")
def print_gclient_attrs(g_client):
    print("GClient 属性：")
    for attr in dir(g_client):
        if not attr.startswith('__') or attr in ['__ci', '__msgDic', '__serialNumber', '__callEpcInfo', '__callEpcOver',
                                                 '__call6bInfo', '__call6bOver', '__callGbInfo', '__callGbOver',
                                                 '__callGJbInfo', '__callGJbOver', '__callTcpDisconnect',
                                                 '__callGpiStart', '__callGpiOver', '__callCacheDataOver', '__allGpiState']:
            try:
                value = getattr(g_client, attr)
                print(f"{attr}: {value}")
            except AttributeError:
                pass

if __name__ == '__main__':
    g_client = GClient()
    # if g_client.openSerial(("COM7", 115200)):
    if g_client.openTcp(("10.41.191.107", 8160)):
        # 订阅标签回调
        g_client.callEpcInfo = receivedEpc
        g_client.callEpcOver = receivedEpcOver
        print_gclient_attrs(g_client=g_client)
        # 读epc
        msg = MsgBaseInventoryEpc(antennaEnable=EnumG.AntennaNo_1.value,
                                  inventoryMode=EnumG.InventoryMode_Inventory.value)
        if g_client.sendSynMsg(msg) == 0:
            # print(f'**********{msg.rtMsg}')
            pass

        # # 5s后执行停止盘点以及关闭连接
        # sleep(5)

        # stop = MsgBaseStop()
        # if g_client.sendSynMsg(stop) == 0:
        #     print(stop.rtMsg)

        # g_client.close()
